%define major 0
%define libname  %mklibname %name %major
%define develname %mklibname -d %name

Summary:    C++ rendering engine for MathML documents
Name:       gtkmathview
Version:    0.8.0
Release:    %mkrel 21
License:    GPL
Group:      Networking/WWW
Url:            https://www.cs.unibo.it/helm/mml-widget/
Source:     http://helm.cs.unibo.it/mml-widget/sources/%{name}-%{version}.tar.bz2
Source1:         gtkmathview.html.tar.bz2
Patch0: gtkmathview-0.8.0-cond-t1.patch
Patch1: gtkmathview-0.8.0-gcc43.patch
Patch2: gtkmathview-0.8.0-gcc44.patch
Patch3: gtkmathview-0.8.0-fix-link.patch
Patch4: gtkmathview-0.8.0-no-static.patch
# Fixes from git, via fedora
Patch5: gtkmathview-marshalling-functions-git7d938a.patch
Patch6: gtkmathview-gcc-fixes-git3918e8.patch
Patch7: gtkmathview-fix-ComputerModernShaper-git210206.patch
Patch8: gtkmathview-lowercasegreek-gitb03152.patch
# Fix build with gcc 4.7.x, from fedora
Patch9: gtkmathview-0.8.0-gcc47.patch
Patch10: gtkmathview-0.8.0-am-1.13.patch
Patch11: gtkmathview-0.8.0-gcc7.patch
BuildRequires:    t1lib-devel >= 1.3
BuildRequires:    pkgconfig(libxml-2.0) >= 2.2.0
BuildRequires:    pkgconfig(popt)
BuildRequires:    libxslt-proc
BuildRequires:    pkgconfig(glib-2.0) >= 2.2.1
Requires:         fonts-ttf-latex

%description
GtkMathView is a GTK Widget for rendering MathML documents.

%package -n %libname
Summary:   Libraries for gtkmathview
Group: System/Libraries

%description -n %libname
GtkMathView is a GTK Widget for rendering MathML documents.

%package -n %develname
Summary:  Libraries and include files for gtkmathview
Group:    Development/C++
Requires: %libname = %version libxml2-devel >= 2.4.26
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %{_lib}gtkmathview0-devel < %version-%release

%description -n %develname
GtkMathView is a GTK Widget for rendering MathML documents.

%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p0
%patch -P 3 -p0
%patch -P 4 -p1
%patch -P 5 -p1 -b .git7d938a
%patch -P 6 -p1 -b .git3918e8
%patch -P 7 -p1 -b .git210206
%patch -P 8 -p1 -b .gitb03152
%patch -P 9 -p1 -b .gcc47
%patch -P 10 -p1 -b .am
%patch -P 11 -p1 -b .gcc7

# AM_BINRELOC missing, just ignore
echo 'AC_DEFUN([AM_BINRELOC], [])' > acinclude.m4

%build
autoreconf -fi
%configure --disable-static --disable-gtk
%make_build

##Add updated html reference manual##
mkdir DATA.TMP
cd DATA.TMP
tar xjf %{SOURCE1}
cd ../../..

%install
%make_install

mkdir -p %buildroot/%_docdir/%name
cp -r DATA.TMP/%name.html %buildroot/%_docdir/%name

find %{buildroot} -name '*.la' -delete

%files
%doc AUTHORS BUGS COPYING ChangeLog HISTORY INSTALL LICENSE NEWS README TODO
%{_docdir}/%{name}/%{name}.html
%config(noreplace) %_sysconfdir/gtkmathview/gtkmathview.conf.xml
%_bindir/*
%_datadir/%name
%_mandir/man1/*

%files -n %libname
%_libdir/lib*.so.%{major}
%_libdir/lib*.so.%{major}.*

%files -n %develname
%{_libdir}/lib*.so
%{_includedir}/*
%_libdir/pkgconfig/*


%changelog
* Sat Dec 21 2024 pterjan <pterjan> 0.8.0-21.mga10
+ Revision: 2127593
- Rebuild for patchN deprecation

* Thu Mar 31 2022 umeabot <umeabot> 0.8.0-20.mga9
+ Revision: 1836579
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.8.0-19.mga8
+ Revision: 1512824
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.8.0-18.mga7
+ Revision: 1298120
- Mageia 7 Mass Rebuild

* Sun Oct 15 2017 cjw <cjw> 0.8.0-17.mga7
+ Revision: 1171891
- update patch11 to fix abiword build

* Mon Oct 02 2017 cjw <cjw> 0.8.0-16.mga7
+ Revision: 1164293
- patch11: fix build with gcc 7

* Thu Feb 11 2016 umeabot <umeabot> 0.8.0-15.mga6
+ Revision: 954246
- Mageia 6 Mass Rebuild

* Sun Oct 18 2015 daviddavid <daviddavid> 0.8.0-14.mga6
+ Revision: 892593
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-13.mga5
+ Revision: 746932
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-12.mga5
+ Revision: 680023
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.0-11.mga4
+ Revision: 505375
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.8.0-10.mga3
+ Revision: 352905
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 fwang <fwang> 0.8.0-9.mga3
+ Revision: 338016
- fix build with automake 1.13

* Sat Dec 29 2012 cjw <cjw> 0.8.0-8.mga3
+ Revision: 336011
- add some patches from git, taken from fedora
- patch9: fix build with gcc 4.7.x, from fedora

* Thu Jan 26 2012 fwang <fwang> 0.8.0-7.mga2
+ Revision: 201788
- br glib
- drop gtk req

* Fri Nov 25 2011 fwang <fwang> 0.8.0-6.mga2
+ Revision: 171844
- drop .la files

* Thu Mar 24 2011 philippem <philippem> 0.8.0-5.mga1
+ Revision: 77040
- remove no need glib-devel >= 1.2.10

* Thu Mar 24 2011 philippem <philippem> 0.8.0-4.mga1
+ Revision: 77030
- remove buildrequires gmetadom-devel
+ ennael <ennael>
- clean spec file
- imported package gtkmathview

